xine-lib: xine-lib-1.2.12/src/post/planar/expand.c File Reference

xine-lib 1.2.12

Data Structures | Typedefs | Functions | Variables
expand.c File Reference
`#include "planar.h"`
`#include <xine/xine_internal.h>`
`#include <xine/post.h>`

## Data Structures
struct | expand_parameters_s

## Typedefs
typedef struct expand_parameters_s | expand_parameters_t

## Functions
| PARAM_ITEM (POST_PARAM_TYPE_BOOL, enable_automatic_shift, PARAM_ITEM(NULL, PARAM_ITEM(0, PARAM_ITEM(1, PARAM_ITEM(0, "enable automatic overlay shifting")
static void | expand_dispose (post_plugin_t *this_gen)
static xine_post_api_descr_t * | expand_get_param_descr (void)
static int | expand_set_parameters (xine_post_t *this_gen, const void *param_gen)
static int | expand_get_parameters (xine_post_t *this_gen, void *param_gen)
static char * | expand_get_help (void)
static int | is_pixel_black (vo_frame_t *frame, int x, int y)
static int | expand_draw (vo_frame_t *frame, xine_stream_t *stream)
static vo_frame_t * | expand_get_frame (xine_video_port_t *port_gen, uint32_t width, uint32_t height, double ratio, int format, int flags)
static int | expand_intercept_ovl (post_video_port_t *port)
static int32_t | expand_overlay_add_event (video_overlay_manager_t *this_gen, void *event_gen)
static post_plugin_t * | expand_open_plugin (post_class_t *class_gen, int inputs, xine_audio_port_t **audio_target, xine_video_port_t **video_target)
void * | expand_init_plugin (xine_t *xine, const void *data)

## Variables
| post_expand_t

## Typedef Documentation

## ◆ expand_parameters_t

typedef struct expand_parameters_s expand_parameters_t

## Function Documentation

## ◆ expand_dispose()

static void expand_dispose | ( | post_plugin_t * | this_gen | ) |
| static

References _x_post_dispose(), and post_expand_t.

Referenced by expand_open_plugin().

## ◆ expand_draw()

static int expand_draw | ( | vo_frame_t * | frame,
|  | xine_stream_t * | stream
| ) |  |
| static

References _x_post_frame_copy_down(), _x_post_frame_copy_up(), vo_frame_s::bad_frame, vo_frame_s::crop_bottom, vo_frame_s::crop_left, vo_frame_s::crop_right, vo_frame_s::crop_top, vo_frame_s::draw, vo_frame_s::height, is_pixel_black(), vo_frame_s::next, vo_frame_s::port, post_video_port_s::post, post_expand_t, vo_frame_s::ratio, and vo_frame_s::width.

Referenced by expand_open_plugin().

## ◆ expand_get_frame()

static vo_frame_t * expand_get_frame | ( | xine_video_port_t * | port_gen,
|  | uint32_t | width,
|  | uint32_t | height,
|  | double | ratio,
|  | int | format,
|  | int | flags
| ) |  |
| static

References _x_post_inc_usage, _x_post_intercept_video_frame(), _x_post_rewire(), xine_video_port_s::get_frame, height, post_video_port_s::original_port, post_video_port_s::post, post_expand_t, width, XINE_IMGFMT_YUY2, and XINE_IMGFMT_YV12.

Referenced by expand_open_plugin().

## ◆ expand_get_help()

static char * expand_get_help | ( | void |  | ) |
| static

References _.

Referenced by expand_open_plugin().

## ◆ expand_get_param_descr()

static xine_post_api_descr_t * expand_get_param_descr | ( | void |  | ) |
| static

Referenced by expand_open_plugin().

## ◆ expand_get_parameters()

static int expand_get_parameters | ( | xine_post_t * | this_gen,
|  | void * | param_gen
| ) |  |
| static

References expand_parameters_s::aspect, expand_parameters_s::centre_cut_out_mode, expand_parameters_s::enable_automatic_shift, expand_parameters_s::overlay_y_offset, and post_expand_t.

Referenced by expand_open_plugin().

## ◆ expand_init_plugin()

void * expand_init_plugin | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References expand_open_plugin(), N_, NULL, and post_class_s::open_plugin.

## ◆ expand_intercept_ovl()

static int expand_intercept_ovl | ( | post_video_port_t * | port | ) |
| static

References post_video_port_s::post, and post_expand_t.

Referenced by expand_open_plugin().

## ◆ expand_open_plugin()

static post_plugin_t * expand_open_plugin | ( | post_class_t * | class_gen,
|  | int | inputs,
|  | xine_audio_port_t ** | audio_target,
|  | xine_video_port_t ** | video_target
| ) |  |
| static

References _x_post_init(), _x_post_intercept_video_port(), video_overlay_manager_s::add_event, vo_frame_s::draw, expand_dispose(), expand_draw(), expand_get_frame(), expand_get_help(), expand_get_param_descr(), expand_get_parameters(), expand_intercept_ovl(), expand_overlay_add_event(), expand_set_parameters(), xine_video_port_s::get_frame, input(), post_video_port_s::intercept_ovl, xine_post_in_s::name, xine_post_out_s::name, post_video_port_s::new_frame, post_video_port_s::new_manager, post_video_port_s::new_port, NULL, post_expand_t, xine_post_api_t::set_parameters, xine_list_push_back(), post_out_s::xine_out, and XINE_POST_DATA_PARAMETERS.

Referenced by expand_init_plugin().

## ◆ expand_overlay_add_event()

static int32_t expand_overlay_add_event | ( | video_overlay_manager_t * | this_gen,
|  | void * | event_gen
| ) |  |
| static

References _x_post_ovl_manager_to_port(), video_overlay_manager_s::add_event, post_video_port_s::original_manager, OVERLAY_EVENT_SHOW, post_video_port_s::post, and post_expand_t.

Referenced by expand_open_plugin().

## ◆ expand_set_parameters()

static int expand_set_parameters | ( | xine_post_t * | this_gen,
|  | const void * | param_gen
| ) |  |
| static

References expand_parameters_s::aspect, expand_parameters_s::centre_cut_out_mode, expand_parameters_s::enable_automatic_shift, expand_parameters_s::overlay_y_offset, and post_expand_t.

Referenced by expand_open_plugin().

## ◆ is_pixel_black()

static int is_pixel_black | ( | vo_frame_t * | frame,
|  | int | x,
|  | int | y
| ) |  |
| static

References vo_frame_s::base, vo_frame_s::format, vo_frame_s::height, vo_frame_s::pitches, vo_frame_s::width, XINE_IMGFMT_YUY2, and XINE_IMGFMT_YV12.

Referenced by expand_draw().

## ◆ PARAM_ITEM()

PARAM_ITEM | ( | POST_PARAM_TYPE_BOOL | ,
|  | enable_automatic_shift | ,
|  | PARAM_ITEM( | NULL,
|  | PARAM_ITEM( | 0,
|  | PARAM_ITEM( | 1,
|  | PARAM_ITEM( | 0,
|  | "enable automatic overlay shifting" |
| ) |  |

## Variable Documentation

## ◆ post_expand_t

post_expand_t

Referenced by expand_dispose(), expand_draw(), expand_get_frame(), expand_get_parameters(), expand_intercept_ovl(), expand_open_plugin(), expand_overlay_add_event(), and expand_set_parameters().